db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kim Haase (JIRA)" <derby-...@db.apache.org>
Subject [jira] Commented: (DERBY-1215) <table> elements in documentation need expanse attributes after switch to OASIS DTDs
Date Tue, 08 Aug 2006 19:54:16 GMT
    [ http://issues.apache.org/jira/browse/DERBY-1215?page=comments#action_12426694 ] 
            
Kim Haase commented on DERBY-1215:
----------------------------------

The actual problem is the opposite of that stated: in order to conform to the DTD, the tables
need to have the expanse attribute removed. The error message is actually incorrect and therefore
very confusing. According to the DITA language spec (http://docs.oasis-open.org/dita/v1.0/langspec/table.html),
the expanse attribute is not a valid attribute for a table. The message should say, 

  Attribute "expanse" must not be declared for element type "table".

(However, we have no control over that problem.) The error appears only for files that have
tables that use the expanse attribute. Currently the following files have such tables:

getstart:
rgsdocs10012.dita
rgsdocs18277.dita

ref:
rrefjdbc80004.dita
rrefjdbcdatabasemetadata30.dita
rrefjdbcjavasqlconnection30.dita
rrefsistabs12085.dita
rrefsistabs12813.dita
rrefsistabs13420.dita
rrefsistabs22441.dita
rrefsistabs23241.dita
rrefsistabs26665.dita
rrefsistabs33768.dita
rrefsistabs33921.dita
rrefsistabs39391.dita
rrefsistabs40972.dita
rrefsistabs79888.dita
rrefsistabslilanguageitemsysstatistics.dita
rrefsqlj23075.dita

tools:
rtoolsdrvrnmeurl.dita
rtoolsijpropref97949.dita

tuning:
ctunoptimz42065.dita (3 occurrences)
ctunproper22250.dita
ctuntransform36368.dita (2 occurrences)

I find the errors annoying and would be willing to make the fixes, if you want to trust a
newbie doc developer. 

> <table> elements in documentation need expanse attributes after switch to OASIS
DTDs
> ------------------------------------------------------------------------------------
>
>                 Key: DERBY-1215
>                 URL: http://issues.apache.org/jira/browse/DERBY-1215
>             Project: Derby
>          Issue Type: Bug
>          Components: Documentation
>    Affects Versions: 10.2.0.0
>            Reporter: Andrew McIntyre
>            Priority: Minor
>
> With revision 393972, I switched the DITA files in the doc tree to reference the OASIS
DTDs instead of the old IBM DTDs. This has caused some warnings to appear in the build output,
e.g.:
>  [pipeline] [Error] ctunproper22250.dita:31:60: Attribute "expanse" must be declared
for element type "table".
>  [pipeline] [Error] ctuntransform36368.dita:32:37: Attribute "expanse" must be declared
for element type "table".
>  [pipeline] [Error] ctuntransform36368.dita:49:37: Attribute "expanse" must be declared
for element type "table".
>  [pipeline] [Error] ctunoptimz42065.dita:58:37: Attribute "expanse" must be declared
for element type "table".
>  [pipeline] [Error] ctunoptimz42065.dita:86:37: Attribute "expanse" must be declared
for element type "table".
>  [pipeline] [Error] ctunoptimz42065.dita:114:37: Attribute "expanse" must be declared
for element type "table".
> This does not appear to have affected the build or appearance of the docs, it is just
that these DITA files no longer conform to the DTD.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message